Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.linuxsampler.lscp.event
Enum MidiDataEvent.Type

    java.lang.Object
      java.lang.Enum<MidiDataEvent.Type>
          org.linuxsampler.lscp.event.MidiDataEvent.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MidiDataEvent.Type>

Enclosing class:
  MidiDataEvent

    public static enum MidiDataEvent.Type

extends java.lang.Enum<MidiDataEvent.Type>

Enum Constant Summary
`NOTE_OFF`
`NOTE_ON`

Method Summary
`java.lang.String` | `toString()`
`static MidiDataEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MidiDataEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOTE_ON

    public static final MidiDataEvent.Type NOTE_ON

### NOTE_OFF

    public static final MidiDataEvent.Type NOTE_OFF

Method Detail

### values

    public static MidiDataEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MidiDataEvent.Type c : MidiDataEvent.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MidiDataEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<MidiDataEvent.Type>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.